Skip to content
Start here

Get domain

pages.projects.domains.get(strdomain_name, DomainGetParams**kwargs) -> DomainGetResponse
GET/accounts/{account_id}/pages/projects/{project_name}/domains/{domain_name}

Fetch a single domain.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Pages ReadPages Write
ParametersExpand Collapse
account_id: str

Identifier.

maxLength32
project_name: str

Name of the project.

domain_name: str

The domain name.

ReturnsExpand Collapse
class DomainGetResponse:
id: str
certificate_authority: Literal["google", "lets_encrypt"]
One of the following:
"google"
"lets_encrypt"
created_on: str
domain_id: str
name: str

The domain name.

status: Literal["initializing", "pending", "active", 3 more]
One of the following:
"initializing"
"pending"
"active"
"deactivated"
"blocked"
"error"
validation_data: ValidationData
method: Literal["http", "txt"]
One of the following:
"http"
"txt"
status: Literal["initializing", "pending", "active", 2 more]
One of the following:
"initializing"
"pending"
"active"
"deactivated"
"error"
error_message: Optional[str]
txt_name: Optional[str]
txt_value: Optional[str]
verification_data: VerificationData
status: Literal["pending", "active", "deactivated", 2 more]
One of the following:
"pending"
"active"
"deactivated"
"blocked"
"error"
error_message: Optional[str]
zone_tag: str

Get domain

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
domain = client.pages.projects.domains.get(
    domain_name="this-is-my-domain-01.com",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    project_name="this-is-my-project-01",
)
print(domain.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "id",
    "certificate_authority": "lets_encrypt",
    "created_on": "created_on",
    "domain_id": "domain_id",
    "name": "this-is-my-domain-01.com",
    "status": "initializing",
    "validation_data": {
      "method": "http",
      "status": "initializing",
      "error_message": "error_message",
      "txt_name": "txt_name",
      "txt_value": "txt_value"
    },
    "verification_data": {
      "status": "pending",
      "error_message": "error_message"
    },
    "zone_tag": "zone_tag"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "id",
    "certificate_authority": "lets_encrypt",
    "created_on": "created_on",
    "domain_id": "domain_id",
    "name": "this-is-my-domain-01.com",
    "status": "initializing",
    "validation_data": {
      "method": "http",
      "status": "initializing",
      "error_message": "error_message",
      "txt_name": "txt_name",
      "txt_value": "txt_value"
    },
    "verification_data": {
      "status": "pending",
      "error_message": "error_message"
    },
    "zone_tag": "zone_tag"
  },
  "success": true
}